CentOS-Italia.org - La Community degli Utenti Italiani di Linux CentOS Forum e Guide How To

Supporto Tecnico a Centos => Problemi di Installazione => Topic aperto da: mayers81 - 22 Settembre 2011, 14:52:40

Titolo: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 22 Settembre 2011, 14:52:40
Solo io ho problemi con rpmforge su 3 server centos 6 con yum update trova conflitti tra pacchetti???


 ??? ??? ??? ??? ??? ??? ???
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: smeserver - 22 Settembre 2011, 16:29:06
senza sapere che comando dai, che repo hai attivi e che errori ottieni... nemmeno il mago otelma riuscirebbe a darti una mano...
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: LonelyWolf - 22 Settembre 2011, 16:54:08
senza sapere che comando dai,
con yum update

che repo hai attivi
rpmforge
e gli standard (aggiungo io)

che errori ottieni
conflitti tra pacchetti???

La domanda giusta è: quali pacchetti hanno conflitti?

;)

Edit:
Purtroppo io non ho ancora un centos 6.

RPMforge for CentOS 6

The default RPMforge repository does not replace any CentOS base packages. In the past it used to, but those packages are now in a separate repository (rpmforge-extras) which is disabled by default.

Ri-Edit:
Note: Because this repository is NOT part of CentOS, you should direct support questions to its maintainers at the Repoforge Users mailing list.

:)
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 22 Settembre 2011, 17:02:06
ok adesso ti posto la schermata di errore. I repo sono standard attivando gli extra mi rileva ancora più pacchetti che vorrebbe aggiornare ma non riesce per via di dipendenze cioè il pacchetto che vuole eliminare è richiesto da un software presente sulla centos
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 22 Settembre 2011, 22:55:51
file repo

### Name: RPMforge RPM Repository for RHEL 6 - dag
### URL: http://rpmforge.net/
[rpmforge]
name = RHEL $releasever - RPMforge.net - dag
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/rpmforge
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge
enabled = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1

[rpmforge-extras]
name = RHEL $releasever - RPMforge.net - extras
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/extras
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge-extras
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-extras
enabled = 0
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1

[rpmforge-testing]
name = RHEL $releasever - RPMforge.net - testing
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/testing
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge-testing
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-testing
enabled = 0
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1
~

ERRORE

[root@pdc ~]# yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: it.centos.contactlab.it
 * centosplus: it.centos.contactlab.it
 * extras: it.centos.contactlab.it
 * rpmforge: fr2.rpmfind.net
 * updates: it.centos.contactlab.it
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libfixbuf-0.9.0.so.8()(64bit) for package: yaf-1.3.2-1.el6.rf.x86_64
---> Package libfixbuf.x86_64 0:1.0.1-1.el6.rf set to be updated
--> Finished Dependency Resolution
Error: Package: yaf-1.3.2-1.el6.rf.x86_64 (@rpmforge)
           Requires: libfixbuf-0.9.0.so.8()(64bit)
           Removing: libfixbuf-0.9.0-1.el6.rf.x86_64 (@rpmforge)
               libfixbuf-0.9.0.so.8()(64bit)
           Updated By: libfixbuf-1.0.1-1.el6.rf.x86_64 (rpmforge)
               Not found
 You could try using --skip-broken to work around the problem
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 22 Settembre 2011, 23:51:37
se abilito gli extra  ???

Error: Package: yaf-1.3.2-1.el6.rf.x86_64 (@rpmforge)
           Requires: libfixbuf-0.9.0.so.8()(64bit)
           Removing: libfixbuf-0.9.0-1.el6.rf.x86_64 (@rpmforge)
               libfixbuf-0.9.0.so.8()(64bit)
           Updated By: libfixbuf-1.0.1-1.el6.rf.x86_64 (rpmforge)
               Not found
Error: Package: perl-core-5.10.1-115.el6.x86_64 (@anaconda-CentOS-201106060106.x                                                                                                                               86_64/6.0)
           Requires: perl-Compress-Zlib
           Removing: perl-Compress-Zlib-2.020-115.el6.x86_64 (@anaconda-CentOS-2                                                                                                                               01106060106.x86_64/6.0)
               perl-Compress-Zlib = 2.020-115.el6
           Obsoleted By: perl-IO-Compress-2.037-1.el6.rfx.noarch (rpmforge-extra                                                                                                                               s)
               Not found
Error: Package: perl-core-5.10.1-115.el6.x86_64 (@anaconda-CentOS-201106060106.x                                                                                                                               86_64/6.0)
           Requires: perl-IO-Compress-Base
           Removing: perl-IO-Compress-Base-2.020-115.el6.x86_64 (@anaconda-CentO                                                                                                                               S-201106060106.x86_64/6.0)
               perl-IO-Compress-Base = 2.020-115.el6
           Obsoleted By: perl-IO-Compress-2.037-1.el6.rfx.noarch (rpmforge-extra                                                                                                                               s)
               Not found
Error: Package: perl-core-5.10.1-115.el6.x86_64 (@anaconda-CentOS-201106060106.x                                                                                                                               86_64/6.0)
           Requires: perl-IO-Compress-Zlib
           Removing: perl-IO-Compress-Zlib-2.020-115.el6.x86_64 (@anaconda-CentO                                                                                                                               S-201106060106.x86_64/6.0)
               perl-IO-Compress-Zlib = 2.020-115.el6
           Obsoleted By: perl-IO-Compress-2.037-1.el6.rfx.noarch (rpmforge-extra                                                                                                                               s)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: LonelyWolf - 23 Settembre 2011, 08:43:30
rpmforge-extra è meglio lasciarli disabilitati.

Da quello che vedo non c'è un conflitto ma semplicemente un pacchetto che non trova.
Prova a rimuovere libfixbuf che, sembra, già installato e poi fare nuovamente l'update.
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 24 Settembre 2011, 10:45:41
Dependencies Resolved

================================================================================
 Package          Arch          Version                   Repository       Size
================================================================================
Installing:
 clamav           x86_64        0.97.2-1.el6.rf           rpmforge        2.0 M
 clamd            x86_64        0.97.2-1.el6.rf           rpmforge        150 k
Installing for dependencies:
 libfixbuf        x86_64        0.9.0-1.el6.rf            rpmforge         97 k
 yaf              x86_64        1.3.2-1.el6.rf            rpmforge        340 k

Transaction Summary
================================================================================
Install       4 Package(s)
Upgrade       0 Package(s)

il pacchetto è legato a clamav rimosso e reinstattato nulla da fare
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 25 Settembre 2011, 16:55:32
ho notato che ho il problema su molte installazioni anche se provo ad installare altri pacchetti come smbldap o openldap mi da errori eppure ho verificato il repo corretto x86_64
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 25 Settembre 2011, 23:58:38
risolto parzialmente con epel

rpm -Uvh http://bit.ly/q7kHBq

wget http://download.fedora.redhat.com/pub/epel/6/i386/epel-release-6-5.noarch.rpm

rpm -i epel-release-6-5.noarch.rpm

disinstallato clamd clamav

con rpmforge abilitato

yum clean all
yum update

yum install clamd clamav tutto ok


provato anche installazione smbldap* openldap*

nessun errore in installazione

ma lanci yum update

Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libfixbuf-0.9.0.so.8()(64bit) for package: yaf-1.3.2-1.el6.rf.x86_64
---> Package libfixbuf.x86_64 0:1.0.1-1.el6.rf set to be updated
--> Finished Dependency Resolution
Error: Package: yaf-1.3.2-1.el6.rf.x86_64 (@rpmforge)
           Requires: libfixbuf-0.9.0.so.8()(64bit)
           Removing: libfixbuf-0.9.0-1.el6.rf.x86_64 (@rpmforge)
               libfixbuf-0.9.0.so.8()(64bit)
           Updated By: libfixbuf-1.0.1-1.el6.rf.x86_64 (rpmforge)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

serve quel pacchetto lo installala lui per una dipendenza perchè poi cerca di aggiornarlo se non puo?
Titolo: Re: Problemi con rpmforge Centos 6
Inserito da: mayers81 - 29 Settembre 2011, 00:44:02
niente da fare ho dovuto disabilitare rpmforge su tutte e 3 le macchine momentaneamente

ho installato epel con quello non ho problemi